<?php

use CRM_Loginsecurity_ExtensionUtil as E;

class CRM_Loginsecurity_Page_LoginSecurityHistoryDevice extends CRM_Core_Page {

  /**
   * Updates the fingerprint for the current session.
   * This is called in Ajax once the device/browser has been fingerprinted.
   */
  public function run() {
    $device_id = CRM_Utils_Request::retrieveValue('device_id', 'String');

    if ($device_id) {
      $session_id = session_id();
      $contact_id = CRM_Core_Session::getLoggedInContactID();

      // Ex: for pages using a checksum
      if (!$contact_id) {
        $contact_id = CRM_Utils_Request::retrieveValue('cid', 'Positive');
      }

      if ($session_id && $contact_id) {
        \Civi\Api4\LoginSecurityDevice::update(FALSE)
          ->addWhere('contact_id', '=', $contact_id)
          ->addWhere('session_id', '=', $session_id)
          ->addValue('fingerprint', $device_id)
          ->execute();
      }
    }

    CRM_Utils_System::civiExit();
  }

}
