-- +--------------------------------------------------------------------+
-- | Copyright CiviCRM LLC. All rights reserved.                        |
-- |                                                                    |
-- | This work is published under the GNU AGPLv3 license with some      |
-- | permitted exceptions and without any warranty. For full license    |
-- | and copyright information, see https://civicrm.org/licensing       |
-- +--------------------------------------------------------------------+
--
-- Generated from schema.tpl
-- DO NOT EDIT.  Generated by CRM_Core_CodeGen
--
-- /*******************************************************
-- *
-- * Clean up the existing tables - this section generated from drop.tpl
-- *
-- *******************************************************/

SET FOREIGN_KEY_CHECKS=0;

DROP TABLE IF EXISTS `civicrm_login_security_device`;

SET FOREIGN_KEY_CHECKS=1;
-- /*******************************************************
-- *
-- * Create new tables
-- *
-- *******************************************************/

-- /*******************************************************
-- *
-- * civicrm_login_security_device
-- *
-- * History of known devices of CiviCRM users
-- *
-- *******************************************************/
CREATE TABLE `civicrm_login_security_device` (
  `id` int unsigned NOT NULL AUTO_INCREMENT COMMENT 'Unique LoginSecurityIp ID',
  `contact_id` int unsigned COMMENT 'FK to Contact',
  `entity_table` varchar(64) NOT NULL COMMENT 'Table which refers to this device',
  `entity_id` int unsigned NOT NULL COMMENT 'Item in table',
  `session_id` varchar(255) COMMENT 'Session ID the contact',
  `ip_address` varchar(255) COMMENT 'IP address of the contact',
  `user_agent` varchar(255) COMMENT 'User Agent of the contact',
  `fingerprint` text COMMENT 'Browser fingerprint',
  `is_trusted` tinyint COMMENT 'Whether the IP address has been validated',
  `first_seen` timestamp DEFAULT CURRENT_TIMESTAMP COMMENT 'Date when the IP address was first seen',
  `last_seen` timestamp DEFAULT CURRENT_TIMESTAMP COMMENT 'Date when the IP address was last seen',
  PRIMARY KEY (`id`),
  CONSTRAINT FK_civicrm_login_security_device_contact_id FOREIGN KEY (`contact_id`) REFERENCES `civicrm_contact`(`id`) ON DELETE CASCADE
)
ENGINE=InnoDB;
